/*
 * Copyright COCKTAIL (www.cocktail.org), 1995, 2010 This software 
 * is governed by the CeCILL license under French law and abiding by the
 * rules of distribution of free software. You can use, modify and/or 
 * redistribute the software under the terms of the CeCILL license as 
 * circulated by CEA, CNRS and INRIA at the following URL 
 * "http://www.cecill.info". 
 * As a counterpart to the access to the source code and rights to copy, modify 
 * and redistribute granted by the license, users are provided only with a 
 * limited warranty and the software's author, the holder of the economic 
 * rights, and the successive licensors have only limited liability. In this 
 * respect, the user's attention is drawn to the risks associated with loading,
 * using, modifying and/or developing or reproducing the software by the user 
 * in light of its specific status of free software, that may mean that it
 * is complicated to manipulate, and that also therefore means that it is 
 * reserved for developers and experienced professionals having in-depth
 * computer knowledge. Users are therefore encouraged to load and test the 
 * software's suitability as regards their requirements in conditions enabling
 * the security of their systems and/or data to be ensured and, more generally, 
 * to use and operate it in the same conditions as regards security. The
 * fact that you are presently reading this means that you have had knowledge 
 * of the CeCILL license and that you accept its terms.
 */

package org.cocktail.abricot.client.gui;

import javax.swing.JRadioButton;

import org.cocktail.application.palette.JPanelCocktail;


public class TitreAlgoNib extends JPanelCocktail {
    
    /** Creates new form MandatAlgoNibnb */
    public TitreAlgoNib() {
        initComponents();
    }

    public JRadioButton getjRadioButtonTitreCollectif() {
        return jRadioButtonTitreCollectif;
    }



    public JRadioButton getjRadioButtonTitreIndividuel() {
        return jRadioButtonTitreIndividuel;
    }

  
    
    public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailAnnuler() {
		return jButtonCocktailAnnuler;
	}

	public void setJButtonCocktailAnnuler(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailAnnuler) {
		jButtonCocktailAnnuler = buttonCocktailAnnuler;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailValider() {
		return jButtonCocktailValider;
	}

	public void setJButtonCocktailValider(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailValider) {
		jButtonCocktailValider = buttonCocktailValider;
	}


	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroupFournisseurs = new javax.swing.ButtonGroup();
        jButtonCocktailAnnuler = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailValider = new org.cocktail.application.palette.JButtonCocktail();
        jPanel1 = new javax.swing.JPanel();
        jRadioButtonTitreIndividuel = new javax.swing.JRadioButton();
        jRadioButtonTitreCollectif = new javax.swing.JRadioButton();
        jLabel1 = new javax.swing.JLabel();

        setForeground(new java.awt.Color(255, 0, 51));

        jButtonCocktailAnnuler.setText("Annuler");
        jButtonCocktailAnnuler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailAnnulerActionPerformed(evt);
            }
        });

        jButtonCocktailValider.setText("Valider");

        jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        buttonGroupFournisseurs.add(jRadioButtonTitreIndividuel);
        jRadioButtonTitreIndividuel.setSelected(true);
        jRadioButtonTitreIndividuel.setText("Un titre individuel (un seul par client)");
        jRadioButtonTitreIndividuel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButtonTitreIndividuelActionPerformed(evt);
            }
        });

        buttonGroupFournisseurs.add(jRadioButtonTitreCollectif);
        jRadioButtonTitreCollectif.setText("Un titre collectif (plusieurs clients regroupés sur le même titre)");
        jRadioButtonTitreCollectif.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButtonTitreCollectifActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(18, 18, 18)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jRadioButtonTitreCollectif)
                    .add(jRadioButtonTitreIndividuel))
                .addContainerGap(192, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(jRadioButtonTitreIndividuel)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jRadioButtonTitreCollectif)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jLabel1.setBackground(new java.awt.Color(255, 255, 255));
        jLabel1.setFont(jLabel1.getFont().deriveFont(jLabel1.getFont().getStyle() | java.awt.Font.BOLD));
        jLabel1.setText("Options pour la génération des titres");
        jLabel1.setBorder(javax.swing.BorderFactory.createEmptyBorder(4, 4, 4, 4));
        jLabel1.setOpaque(true);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 535, Short.MAX_VALUE)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
            .add(layout.createSequentialGroup()
                .add(48, 48, 48)
                .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 133, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 197, Short.MAX_VALUE)
                .add(jButtonCocktailValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 141, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(36, 36, 36))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel1)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonCocktailAnnulerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailAnnulerActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailAnnulerActionPerformed

    private void jRadioButtonTitreIndividuelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButtonTitreIndividuelActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jRadioButtonTitreIndividuelActionPerformed

    private void jRadioButtonTitreCollectifActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButtonTitreCollectifActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jRadioButtonTitreCollectifActionPerformed
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.ButtonGroup buttonGroupFournisseurs;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailAnnuler;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailValider;
    public javax.swing.JLabel jLabel1;
    public javax.swing.JPanel jPanel1;
    public javax.swing.JRadioButton jRadioButtonTitreCollectif;
    public javax.swing.JRadioButton jRadioButtonTitreIndividuel;
    // End of variables declaration//GEN-END:variables
    
}
